=== tools/CMakeLists.txt ===

if(QT_FEATURE_commandlineparser)
    add_subdirectory(qscxmlc)
endif()
