## qt6-scxml 6.6.2

=== debian/changelog ===
qt6-scxml (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:35:30 +0200

qt6-scxml (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 22:52:50 +0100

qt6-scxml (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libqt6scxmlqml6 and
    libqt6statemachineqml6 (Closes: #1061067).

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Jan 2024 15:36:56 +0100
