=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
@@ -81,7 +83,7 @@
 Package: qml6-module-qtscxml
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6scxmlqml6,
 Replaces: libqt6scxmlqml6,
 Description: Qt 6 SCXML QML module
@@ -100,7 +102,7 @@
 Package: qml6-module-qtqml-statemachine
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6statemachineqml6,
 Replaces: libqt6statemachineqml6,
 Description: Qt 6 Qt QML State Machine module
@@ -123,6 +125,8 @@
 Depends: libqt6scxml6 (= ${binary:Version}),
          libqt6scxml6-bin (= ${binary:Version}),
          libqt6statemachine6 (= ${binary:Version}),
+         qml6-module-qtqml-statemachine (= ${binary:Version}),
+         qml6-module-qtscxml (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 SCXML - development files
