## qt6-scxml 6.8.0

=== debian/changelog ===
qt6-scxml (6.8.0-0deepin1) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Nov 2024 14:02:58 +0800

qt6-scxml (6.6.1-1deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:17:09 +0800
